uniform mat4 mat_vp, mat_v, mat_world2uv;
varying vec4 projectorUV;
varying vec3 viewPos, worldPos;

void main(void)
{
	worldPos = gl_Vertex.xyz; // We play in worldspace here...
	viewPos = (mat_v * gl_Vertex).xyz;
	projectorUV = mat_world2uv * gl_Vertex;
	gl_Position = mat_vp * gl_Vertex;
}